Skip to main content
GET
/
api
/
v2
/
audit-logs
List audit log
curl --request GET \
  --url https://api.instantly.ai/api/v2/audit-logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "01234567-89ab-cdef-0123-456789abcdef",
      "timestamp": "2026-03-05T23:09:47.337Z",
      "organization_id": "01234567-89ab-cdef-0123-456789abcdef",
      "activity_type": 1,
      "ip_address": "127.0.0.1",
      "from_api": false,
      "user_agent": "Mozilla/5.0...",
      "user_id": "01234567-89ab-cdef-0123-456789abcdef",
      "affected_count": 1,
      "campaign_id": "01234567-89ab-cdef-0123-456789abcdef",
      "webhook_id": "01234567-89ab-cdef-0123-456789abcdef",
      "subsequence_id": "01234567-89ab-cdef-0123-456789abcdef",
      "list_id": "01234567-89ab-cdef-0123-456789abcdef",
      "audit_metadata": {},
      "user_name": "John Doe"
    }
  ],
  "next_starting_after": "019cc043-e2f1-7def-8b07-0aab88328dad"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

The number of items to return

Required range: 1 <= x <= 1000
Example:

10

starting_after
string

The ID of the last item in the previous page - used for pagination. You can use the value of the next_starting_after field from the previous response.

Example:

"01956fbd-0eb1-72db-a565-82977a586084"

activity_type
number

Filter by activity type

Example:

1

Search term to filter logs

Example:

"login"

start_date
string

Start date to filter logs

Example:

"2024-01-01"

end_date
string

End date to filter logs

Example:

"2024-01-01"

Response

The list of Audit Log

items
Audit Log · object[]
required

The list of Audit Log

next_starting_after
string

The filter for getting the next items after this one, this could either be a UUID, a timestamp, on an email depending on the specific API

Example:

"019cc043-e2f1-7def-8b07-0aab88328dad"